<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Wed Feb 23 15:53:22 PST 2005 -->
<TITLE>
: org.eclipse.wst.rdb.internal.models.dbdefinition Class Hierarchy
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<CENTER>
<H2>
Hierarchy For Package org.eclipse.wst.rdb.internal.models.dbdefinition
</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies: </B><DD><A HREF="../../../../../../../overview-tree.html">All Packages</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">class java.lang.Object<UL>
<LI TYPE="circle">class org.eclipse.emf.common.util.AbstractEnumerator (implements org.eclipse.emf.common.util.Enumerator)
<UL>
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/CheckOption.html"><B>CheckOption</B></A><LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DefaultValueType.html"><B>DefaultValueType</B></A><LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html"><B>LanguageType</B></A><LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html"><B>ParameterStyle</B></A><LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentDeleteDRIRuleType.html"><B>ParentDeleteDRIRuleType</B></A><LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html"><B>ParentUpdateDRIRuleType</B></A><LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/PercentFreeTerminology.html"><B>PercentFreeTerminology</B></A><LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ProcedureType.html"><B>ProcedureType</B></A><LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/TableSpaceType.html"><B>TableSpaceType</B></A></UL>
</UL>
</UL>
<H2>
Interface Hierarchy
</H2>
<UL>
<LI TYPE="circle">interface org.eclipse.emf.common.notify.Notifier<UL>
<LI TYPE="circle">interface org.eclipse.emf.ecore.EObject<UL>
<LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ColumnDefinition.html"><B>ColumnDefinition</B></A><LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html"><B>ConstraintDefinition</B></A><LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseVendorDefinition.html"><B>DatabaseVendorDefinition</B></A><LI TYPE="circle">interface org.eclipse.emf.ecore.EModelElement<UL>
<LI TYPE="circle">interface org.eclipse.emf.ecore.EFactory<UL>
<LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionFactory.html"><B>DatabaseDefinitionFactory</B></A></UL>
<LI TYPE="circle">interface org.eclipse.emf.ecore.ENamedElement<UL>
<LI TYPE="circle">interface org.eclipse.emf.ecore.EPackage<UL>
<LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html"><B>DatabaseDefinitionPackage</B></A></UL>
</UL>
</UL>
<LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ExtendedDefinition.html"><B>ExtendedDefinition</B></A><LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/IndexDefinition.html"><B>IndexDefinition</B></A><LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/PredefinedDataTypeDefinition.html"><B>PredefinedDataTypeDefinition</B></A><LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html"><B>QueryDefinition</B></A><LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html"><B>SequenceDefinition</B></A><LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SQLSyntaxDefinition.html"><B>SQLSyntaxDefinition</B></A><LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html"><B>StoredProcedureDefinition</B></A><LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/TableDefinition.html"><B>TableDefinition</B></A><LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/TableSpaceDefinition.html"><B>TableSpaceDefinition</B></A><LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/TriggerDefinition.html"><B>TriggerDefinition</B></A><LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/UserDefinedTypeDefinition.html"><B>UserDefinedTypeDefinition</B></A></UL>
</UL>
</UL>
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
